body {
    min-width: 550px;
    padding: 20px;
}

.rotate {
    transition: all 1s;
}

.block:not(:last-of-type) {
    border-bottom: 1px solid black;
}

.loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}